Update an existing action - Gable Docs
Update an Existing Action
Update an existing action with the following PUT request:
cURL
curl --request PUT \
--url https://demo-api.gable.ai/v0/action \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '\
{
"actionId": "<string>",
"name": "email on pricing asset change",
"triggers": [\
{\
"triggerType": "source",\
"triggerValues": [\
"<string>"\
]\
}\
],
"destinations": [\
{\
"destinationType": "slack",\
"slackChannelIds": [\
"<string>"\
]\
}\
],
"isActive": true
}\
'
Python
import requests
url = "https://demo-api.gable.ai/v0/action"
payload = {
"actionId": "<string>",
"name": "email on pricing asset change",
"triggers": [\
{\
"triggerType": "source",\
"triggerValues": ["<string>"]\
}\
],
"destinations": [\
{\
"destinationType": "slack",\
"slackChannelIds": ["<string>"]\
}\
],
"isActive": True
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'PUT',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
actionId: '<string>',
name: 'email on pricing asset change',
triggers: [{triggerType: 'source', triggerValues: ['<string>']}],
destinations: [{destinationType: 'slack', slackChannelIds: ['<string>']}],
isActive: true
})
};
fetch('https://demo-api.gable.ai/v0/action', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [\
CURLOPT_URL => "https://demo-api.gable.ai/v0/action",\
CURLOPT_RETURNTRANSFER => true,\
CURLOPT_ENCODING => "",\
CURLOPT_MAXREDIRS => 10,\
CURLOPT_TIMEOUT => 30,\
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
CURLOPT_CUSTOMREQUEST => "PUT",\
CURLOPT_POSTFIELDS => json_encode([\
'actionId' => '<string>',\
'name' => 'email on pricing asset change',\
'triggers' => [\
[\
'triggerType' => 'source',\
'triggerValues' => [\
'<string>'\
]\
]\
],\
'destinations' => [\
[\
'destinationType' => 'slack',\
'slackChannelIds' => [\
'<string>'\
]\
]\
],\
'isActive' => true\
]),\
CURLOPT_HTTPHEADER => [\
"Content-Type: application/json",\
"X-API-KEY: <api-key>"\
],\
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://demo-api.gable.ai/v0/action"
payload := strings.NewReader("{\n \"actionId\": \"<string>\",\n \"name\": \"email on pricing asset change\",\n \"triggers\": [\n {\n \"triggerType\": \"source\",\n \"triggerValues\": [\n \"<string>\"\n ]\n }\n ],\n \"destinations\": [\n {\n \"destinationType\": \"slack\",\n \"slackChannelIds\": [\n \"<string>\"\n ]\n }\n ],\n \"isActive\": true}\")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Java
HttpResponse<String> response = Unirest.put("https://demo-api.gable.ai/v0/action")
.header("X-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"actionId\": \"<string>\",\n \"name\": \"email on pricing asset change\",\n \"triggers\": [\n {\n \"triggerType\": \"source\",\n \"triggerValues\": [\n \"<string>\"\n ]\n }\n ],\n \"destinations\": [\n {\n \"destinationType\": \"slack\",\n \"slackChannelIds\": [\n \"<string>\"\n ]\n }\n ],\n \"isActive\": true}\")
.asString();
Request Body
actionId: The unique identifier of the action (string) - requiredname: The name of the action (string) - required- Example:
"email on pricing asset change"
- Example:
triggers: An array of trigger objects - required (minimum length: 1)destinations: An array of destination objects - requiredisActive: Indicates whether the action is active or not (boolean) - required- Example:
true
- Example:
Response
200 OK - Successful operation
actionId: string - The unique identifier of the updated action.
Error Codes
- 500 Internal Server Error: Indicates a server error during the request.